AntiFeatures:
  - UpstreamNonFree
  - Tracking
Categories:
  - Internet
License: GPL-3.0-only
WebSite: https://frostwire.com/android
SourceCode: https://github.com/frostwire/frostwire-android

AutoName: FrostWire
Description: |-
    '''Note:''' This app will no longer be updated, its repo disappeared.

    Search and download files from the BitTorrent network and share files with other
    FrostWire users on the same local network (via WiFi). Frostwire can also be
    installed on the desktop.

    The non-free Google Admob library in the source code has been replaced with a
    library that does nothing. The presence of even more proprietary libraries in
    newer versions means that there are unlikely to be further updates of this app
    in the F-Droid repo.

    Anti-feature: Tracking. The app checks for new versions of the app without the
    user's consent. The update won't work however, because it is signed with a
    different key to these apks.

Builds:
  - versionName: 0.9.14
    versionCode: 75
    commit: 6db095c85f4
    srclibs:
      - MobAdMob@2d5736
    prebuild:
      - rm -f libs/GoogleAdMobAdsSdk-6.0.0.jar
      - echo -e "\nandroid.library.reference.1=$$MobAdMob$$" >> project.properties
    target: android-13

  - versionName: 1.0.5
    versionCode: 81
    commit: 852b155461
    srclibs:
      - MobAdMob@2d5736
    prebuild:
      - rm -f libs/GoogleAdMobAdsSdk-6.0.0.jar
      - echo -e "\nandroid.library.reference.1=$$MobAdMob$$" >> project.properties
    target: android-13

  - versionName: 1.0.7
    versionCode: 85
    commit: b1a6dde89
    srclibs:
      - MobAdMob@2d5736
    encoding: utf-8
    prebuild:
      - rm -f libs/GoogleAdMob*
      - echo "android.library.reference.1=$$MobAdMob$$" >> project.properties
      - echo "source.dir=src;common/components" >> ant.properties
    target: android-13

MaintainerNotes: |-
    No further updates - see description.
    Repo probably moved to https://github.com/frostwire/frostwire
    New repo ships with proprietary components, see https://gitlab.com/fdroid/fdroiddata/-/issues/1761#note_315201185

AutoUpdateMode: None
UpdateCheckMode: None
CurrentVersion: 1.0.7
CurrentVersionCode: 85
